## org.gnu.gtk
Interface CellLayout

All Known Implementing Classes:
  ComboBox

public interface CellLayout

An interface for packing cells.

CellLayout is an interface to be implemented by all objects which want to provide a TreeViewColumn-like API for packing cells, setting attributes and data funcs.

See Also:
  `ComboBox`

Method Summary
`void` `addAttributeMapping(CellRenderer renderer, CellRendererAttribute attribute, DataColumn column)` Adds an attribute mapping to the list in the CellLayout.
`void` `clear()` Unsets all the mappings on all renderers on the CellLayout and removes all renderers from the CellLayout.
`void` `clearAttributeMappings(CellRenderer renderer)` Clears all existing attributes previously set with `addAttributeMapping(org.gnu.gtk.CellRenderer, org.gnu.gtk.CellRendererAttribute, org.gnu.gtk.DataColumn)`.
`Handle` `getHandle()` Get the native Handle of this CellLayout object.
`void` `packEnd(CellRenderer renderer, boolean expand)` Adds the cell to the end of the CellLayout.
`void` `packStart(CellRenderer renderer, boolean expand)` Packs the cell into the beginning of the CellLayout.
`void` `reorder(CellRenderer renderer, int position)` Re-inserts the renderer at position.

Method Detail

### getHandle

    public Handle getHandle()

  Get the native Handle of this CellLayout object.

### packStart

    public void packStart(CellRenderer renderer,
                          boolean expand)

  Packs the cell into the beginning of the CellLayout. If expand is FALSE, then the cell is allocated no more space than it needs. Any unused space is divided evenly between cells for which expand is TRUE.

### packEnd

    public void packEnd(CellRenderer renderer,
                        boolean expand)

  Adds the cell to the end of the CellLayout. If expand is FALSE, then the cell is allocated no more space than it needs. Any unused space is divided evenly between cells for which expand is TRUE.

### clear

    public void clear()

  Unsets all the mappings on all renderers on the CellLayout and removes all renderers from the CellLayout.

### addAttributeMapping

    public void addAttributeMapping(CellRenderer renderer,
                                    CellRendererAttribute attribute,
                                    DataColumn column)

  Adds an attribute mapping to the list in the CellLayout. The column is the column of the model to get a value from, and the attribute is the parameter on cell to be set from the value.

### clearAttributeMappings

    public void clearAttributeMappings(CellRenderer renderer)

  Clears all existing attributes previously set with `addAttributeMapping(org.gnu.gtk.CellRenderer, org.gnu.gtk.CellRendererAttribute, org.gnu.gtk.DataColumn)`.

### reorder

    public void reorder(CellRenderer renderer,
                        int position)

  Re-inserts the renderer at position. Note that the renderer has already to be packed into the CellLayout for this to function properly.